Subject: [TR] TR3 cooling

From: William Pugh <[email-masked]>
Date: Wed, 13 Mar 2013 17:42:54 -0700

I solved the TR3 problem by simply adding a overflow / return bottle.  My
"formula" came from FRED  one gallon Prestone, one bottle Redline water
wetter, one bottle NoRoison, jack up front until radiator cap higher than
head, add purified water, run engine till all bubbles gone. Fill up until
water is only up to 1/2 of the long neck. Puller fan, with secondary manual
switch, never goes over 190F

Bill Pugh
Wallace, CA

** [email-masked] **

Archive: http://www.team.net/archive